import 'package:fcs/domain/entities/shipment.dart';

abstract class ShipmentService {
  Future<void> createShipment(Shipment shipment);
  Future<void> updateShipment(Shipment shipment);
  Future<void> cancelShipment(Shipment shipment);
  Future<void> confirmShipment(Shipment shipment);
  Future<void> completeConfirmShipment(Shipment shipment);
  Future<void> completeReceiveShipment(Shipment shipment);
  Future<void> pickupShipment(Shipment shipment);
  Future<void> receiveShipment(Shipment shipment);
  Future<void> assignShipment(Shipment shipment);
  Future<void> completeAssignShipment(Shipment shipment);
  Future<void> completePickupShipment(Shipment shipment);
  Future<void> packShipment(Shipment shipment);
  Future<void> completePackShipment(Shipment shipment);
}
